Eclipse下使用Android Design Support Library中的控件(比如TabLayout)

版权声明:蜜蜂采花酿蜂蜜,奶牛吃草产牛奶。 https://blog.csdn.net/codehxy/article/details/70802708

参考文章
http://blog.csdn.net/kaoshibuguaA/article/details/51149191

eclipse报错:
android.support.design.widget.Snackbar找不到(需要design项目)
android.support.design.widget.FloatingActionButton找不到(需要design support library)
Theme.AppCompat.Light找不到(因为需要appcompat_v7 library)

android studio中很容易添加这些支持项目,那么在eclipse中怎么添加这些支持项目呢?

eclipse要想使用design:
        1.更新sdk下的Android Support Library至最新版本。
        2.eclipse导入design项目,项目路径为..\sdk\extras\android\support\design
        3.导入之后,右键该项目,选择Properties--Android,然后勾选Is Library,
        把该项目设置为Library。
        4.design项目需要依赖appcompat_v7,所以在Properties--Android窗口中add项目依赖
        5.新建自己的项目,设置项目依赖于design就可以了,由于我新建的项目test默认自己项目
        中的appcompat_v7取消。
这样eclipse就可以使用design下的控件了。

这里讲design和appcompat_v7两个lib上传,大家直接下载用就可以了。

appcompat_v7和design下载
http://download.csdn.net/detail/codehxy/9826349

阅读更多
换一批

没有更多推荐了,返回首页